import SettleRequests from '../component';
import { render } from '@testing-library/react';
import { mockedSettleRequests } from '../../../../mocks/data';

describe('IntroducerTransactionsContent component', () => {
  test('successful render empty data', async () => {
    const result = render(<SettleRequests settleRequests={[]} />);
    expect(await result.findByTestId('empty-settle-requests')).toBeInTheDocument();
  });

  test('successful render non empty data', async () => {
    const result = render(<SettleRequests settleRequests={mockedSettleRequests} />);
    expect(await result.findByTestId('settle-requests-table')).toBeInTheDocument();
  });
});
